Modules should use keystone::resource::authtoken to configure keystone_authtoken settings

Bug #1604463 reported by Alex Schultz on 2016-07-19
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
puppet-aodh
Medium
Iury Gregory Melo Ferreira
puppet-barbican
Medium
Iury Gregory Melo Ferreira
puppet-ceilometer
Medium
Iury Gregory Melo Ferreira
puppet-cinder
Medium
Emilien Macchi
puppet-designate
Medium
Alex Schultz
puppet-ec2api
Medium
Iury Gregory Melo Ferreira
puppet-glance
Medium
Denis Egorenko
puppet-gnocchi
Medium
Matthew J Black
puppet-heat
Medium
Iury Gregory Melo Ferreira
puppet-ironic
Medium
Ivan Berezovskiy
puppet-magnum
Medium
Iury Gregory Melo Ferreira
puppet-manila
Medium
Iury Gregory Melo Ferreira
puppet-mistral
Medium
Alex Schultz
puppet-murano
Medium
Denis Egorenko
puppet-neutron
Medium
Emilien Macchi
puppet-nova
Medium
Iury Gregory Melo Ferreira
puppet-octavia
Medium
Iury Gregory Melo Ferreira
puppet-sahara
Medium
Denis Egorenko
puppet-swift
Medium
Iury Gregory Melo Ferreira
puppet-trove
Medium
Iury Gregory Melo Ferreira
puppet-vitrage
Medium
Iury Gregory Melo Ferreira
puppet-zaqar
Medium
Iury Gregory Melo Ferreira

Bug Description

All api server configurations should expose the ability to configure the keystone_authtoken middleware. We have created a central place to manage this via the puppet-keystone module.

The resource keystone::resource::authtoken should be used to configure the keystone_authtoken sections in a new class <component_name>::keystone::authtoken.

https://review.openstack.org/#/c/347105 Class Example.
https://review.openstack.org/#/c/342905/ can be used as an example of the work that needs to be handled for this. Additionally, backwards compatibility is a must (except for barbican).

Changed in puppet-barbican:
importance: Undecided → Medium
Changed in puppet-ceilometer:
importance: Undecided → Medium
Changed in puppet-cinder:
importance: Undecided → Medium
Changed in puppet-designate:
importance: Undecided → Medium
Changed in puppet-nova:
assignee: nobody → Michael Glaser (mikeg451)
Changed in puppet-glance:
importance: Undecided → Medium
Changed in puppet-gnocchi:
importance: Undecided → Medium
Changed in puppet-heat:
importance: Undecided → Medium
Changed in puppet-ironic:
importance: Undecided → Medium
Changed in puppet-manila:
importance: Undecided → Medium
Changed in puppet-murano:
importance: Undecided → Medium
Changed in puppet-neutron:
importance: Undecided → Medium
Changed in puppet-nova:
importance: Undecided → Medium
Changed in puppet-octavia:
importance: Undecided → Medium
Changed in puppet-sahara:
importance: Undecided → Medium
Changed in puppet-swift:
importance: Undecided → Medium
Changed in puppet-trove:
importance: Undecided → Medium
Changed in puppet-zaqar:
importance: Undecided → Medium
Changed in puppet-cinder:
assignee: nobody → Emilien Macchi (emilienm)

https://review.openstack.org/#/c/337389/ the patch is upstrem already and i'm working on

Changed in puppet-nova:
assignee: Michael Glaser (mikeg451) → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-aodh:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-barbican:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-sahara:
assignee: nobody → Denis Egorenko (degorenko)
Changed in puppet-murano:
assignee: nobody → Denis Egorenko (degorenko)
Michael Glaser (mikeg451) wrote :

Ok Iury, Thanks for letting me know.

Changed in puppet-ceilometer:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-glance:
assignee: nobody → Denis Egorenko (degorenko)
Changed in puppet-manila:
assignee: nobody → Michael Glaser (mikeg451)
Changed in puppet-ec2api:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-manila:
assignee: Michael Glaser (mikeg451) → nobody
Changed in puppet-cinder:
status: New → In Progress
Changed in puppet-gnocchi:
assignee: nobody → Matthew J Black (mjblack)
Changed in puppet-heat:
assignee: nobody → Matthew J Black (mjblack)
Changed in puppet-ec2api:
status: New → In Progress
Changed in puppet-nova:
status: New → In Progress
Changed in puppet-designate:
assignee: nobody → Alex Schultz (alex-schultz)

Fix proposed to branch: master
Review: https://review.openstack.org/345519

Changed in puppet-designate:
status: New → In Progress

Reviewed: https://review.openstack.org/345141
Committed: https://git.openstack.org/cgit/openstack/puppet-ec2api/commit/?id=5987c2312c76858830d52b0e4565c83eb9af0153
Submitter: Jenkins
Branch: master

commit 5987c2312c76858830d52b0e4565c83eb9af0153
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Thu Jul 21 00:10:40 2016 -0300

    Move Ec2Api to authtoken

    In ec2api::api, use keystone::resource::authtoken
    to configure keystone_authsection in the configuration
    file.

    Update parameters to have all parameters from the resource.

    Change-Id: I8832cd537720a18bb7171c555107f3b6a9dd5b6f
    Related-Bug: #1604463

Changed in puppet-aodh:
status: New → In Progress
Changed in puppet-ironic:
assignee: nobody → Ivan Berezovskiy (iberezovskiy)
Denis Egorenko (degorenko) wrote :

Sahara [1] and Murano [2] still are not use new format of keystone_authtoken, so, we need to keep old for both:

[1] https://github.com/openstack/sahara/blob/master/sahara/utils/openstack/keystone.py#L86

[2] https://github.com/openstack/murano/blob/master/murano/common/auth_utils.py#L28

Changed in puppet-sahara:
status: New → Won't Fix
Changed in puppet-murano:
status: New → Won't Fix
Changed in puppet-cinder:
assignee: Emilien Macchi (emilienm) → Juan Antonio Osorio Robles (juan-osorio-robles)
Changed in puppet-trove:
assignee: nobody → Alexey Deryugin (velovec)
Changed in puppet-ceilometer:
status: New → In Progress

Reviewed: https://review.openstack.org/345519
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=e18e6eb3559363b127b285d6f38c1e2f00afc1cc
Submitter: Jenkins
Branch: master

commit e18e6eb3559363b127b285d6f38c1e2f00afc1cc
Author: Alex Schultz <email address hidden>
Date: Thu Jul 21 09:35:38 2016 -0600

    Configure keystone authtoken options

    Update designate::api to leverage keystone::resource::authtoken to
    configure the keystone middleware. This patch also allows designate to
    be able to leverage Keystone v3.

    Some deprecations:
    - designate::api::keystone_tenant is deprecated in favor of
      designate::api::project_name.
    - designate::api::keystone_user is deprecated in favor of
      designate::api::username.
    - designate::api::keystone_password is deprecated in favor of
      designate::api::password.
    - designate::api::keystone_host, designate::api::keystone_port,
      designate::api::keystone_protocol are deprecated in favor of
      designate::api::auth_uri and designate::api_auth_url.
    - designate::api::keystone_memcached_servers is deprecated in favor of
      designate::api::memcached_servers.

    The patch is backward compatible.

    Change-Id: I2cb4076b3e8679adac2722871f8391e750e8b4b0
    Closes-Bug: #1604463

Changed in puppet-designate:
status: In Progress → Fix Released
Changed in puppet-zaqar:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-octavia:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-zaqar:
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/346685

Changed in puppet-trove:
status: New → In Progress
Changed in puppet-cinder:
assignee: Juan Antonio Osorio Robles (juan-osorio-robles) → Emilien Macchi (emilienm)
Changed in puppet-ironic:
status: New → In Progress

Reviewed: https://review.openstack.org/346544
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=6ddcb152e9f1d415172fba192eb67c0563f91d82
Submitter: Jenkins
Branch: master

commit 6ddcb152e9f1d415172fba192eb67c0563f91d82
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Sun Jul 24 16:48:12 2016 -0300

    Move zaqar to authtoken

    In zaqar, use keystone::resource::authtoken to configure
    keystone_authtoken section in the configuration file,
    with all parameters required to configure keystonemiddleware.
    This patch will allow to deploy zaqar to use Keystone v3 authentification.

    Some deprecations:
    - zaqar::identity_uri is deprecated in favor of
    zaqar::auth_url
    - zaqar::admin_user is deprecated in favor of
    zaqar::username
    - zaqar::admin_password is deprecated in favor of
    zaqar::password
    - zaqar::admin_tenant_name is deprecated in favor of
    zaqar::project_name

    Change-Id: Ie825ce4d88ca4a2a33a7ced6e413ddc59f28ef1c
    Related-Bug: #1604463

zhongshengping (chdzsp) on 2016-07-27
Changed in puppet-vitrage:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-manila:
assignee: nobody → zhongshengping (chdzsp)
Changed in puppet-neutron:
assignee: nobody → Sergey Kolekonov (skolekonov)
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/348826

Changed in puppet-glance:
status: New → In Progress
Changed in puppet-barbican:
status: New → In Progress

Reviewed: https://review.openstack.org/342905
Committed: https://git.openstack.org/cgit/openstack/puppet-cinder/commit/?id=bd4930261795cc314a92ecd54a70c45f560c74cf
Submitter: Jenkins
Branch: master

commit bd4930261795cc314a92ecd54a70c45f560c74cf
Author: Emilien Macchi <email address hidden>
Date: Fri Jul 15 10:37:54 2016 -0400

    Configure keystone authtoken options

    In cinder::api, use keystone::resource::authtoken to configure
    keystone_authtoken section in cinder.conf, with all parameters required
    to configure keystonemiddleware.
    This patch will allow to deploy Cinder to use Keystone v3
    authentification.

    Some deprecations:
    cinder::api::auth_type is deprecated, use cinder::keystone::authtoken::auth_type instead.
    cinder::api::identity_uri is deprecated, use cinder::keystone::authtoken::auth_url instead.
    cinder::api::auth_uri is deprecated, use cinder::keystone::authtoken::auth_uri instead.
    cinder::api::keystone_tenant is deprecated, use cinder::keystone::authtoken::project_name instead.
    cinder::api::keystone_user is deprecated, use cinder::keystone::authtoken::username instead.
    cinder::api::keystone_password is deprecated, use cinder::keystone::authtoken::password instead.
    cinder::api::memcached_servers is deprecated, use cinder::keystone::authtoken::memcached_servers instead.

    Closes-Bug: #1604463
    Change-Id: I64736457bd8527198a8a81ea784d3bf74284063b

Changed in puppet-cinder:
status: In Progress → Fix Released
Changed in puppet-neutron:
status: New → In Progress

Reviewed: https://review.openstack.org/350369
Committed: https://git.openstack.org/cgit/openstack/puppet-ec2api/commit/?id=2f00a822b15f7c8f2c891c0df3d31dc2b2761884
Submitter: Jenkins
Branch: master

commit 2f00a822b15f7c8f2c891c0df3d31dc2b2761884
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Tue Aug 2 22:30:44 2016 -0300

    Change authtoken to class

    Authtoken will be configure by a new class
    instead of api class.

    Since ec2api does not have release we remove
    parameters in api.pp

    Change-Id: I5867e2e1d06a4ef2a1c4dcf3d19deb51c14c70a7
    Related-Bug: #1604463

Fix proposed to branch: master
Review: https://review.openstack.org/351792

Changed in puppet-manila:
assignee: zhongshengping (chdzsp) → Iury Gregory Melo Ferreira (iurygregory)
status: New → In Progress
Changed in puppet-ec2api:
status: In Progress → Fix Released
Changed in puppet-zaqar:
status: In Progress → Fix Released
Changed in puppet-octavia:
status: New → Fix Released

Reviewed: https://review.openstack.org/350376
Committed: https://git.openstack.org/cgit/openstack/puppet-zaqar/commit/?id=a95b356f0fc7531a61416fea3777b8abf9de0e6b
Submitter: Jenkins
Branch: master

commit a95b356f0fc7531a61416fea3777b8abf9de0e6b
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Wed Aug 3 00:21:13 2016 -0300

    Move authtoken to class

    Update module to work with the new schema for authtoken

    Change-Id: If7eca0a769651b13a996558e6318ac682eff24f6
    Closes-Bug: #1604463

Reviewed: https://review.openstack.org/351834
Committed: https://git.openstack.org/cgit/openstack/puppet-vitrage/commit/?id=3aa4a17860a53817d82328cd3b57df38db67a232
Submitter: Jenkins
Branch: master

commit 3aa4a17860a53817d82328cd3b57df38db67a232
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Fri Aug 5 13:03:00 2016 -0300

    Move Vitrage to authtoken

    -Remove authtoken parameters from api.pp and tests
    -Add authtoken class with all parameters to configure
    keystone_authtoken section in configuration file.

    Change-Id: I4d72037b3c8f8b86ba93e00822d9133cf5391275
    Related-Bug: #1604463

Reviewed: https://review.openstack.org/351075
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=436b01f5426470dc251b131e0fa957211b552471
Submitter: Jenkins
Branch: master

commit 436b01f5426470dc251b131e0fa957211b552471
Author: Sergey Kolekonov <email address hidden>
Date: Thu Aug 4 12:15:12 2016 +0300

    Remove outdated authtoken options

    Outdated Keystone authtoken options have been deprecated for a while
    (admin_*), removing them completely from manifests, providers and tests as
    a first step of moving puppet-neutron to keystone::resource::authtoken usage

    Depends-On: I3018932a106df562e94067e037b3bc862be97b51
    Depends-On: Ic9e0302ce7350a49806e0c8dad1449b84dec8613
    Change-Id: I51f05efa150fe7de13df02bfe19e50f49b3b7c0c
    Related-bug: #1604463

Reviewed: https://review.openstack.org/350255
Committed: https://git.openstack.org/cgit/openstack/puppet-designate/commit/?id=d9b808092501cf5c6b0bb3291a1fef2e5a3278d9
Submitter: Jenkins
Branch: master

commit d9b808092501cf5c6b0bb3291a1fef2e5a3278d9
Author: Alex Schultz <email address hidden>
Date: Tue Aug 2 14:26:24 2016 -0600

    Update keystone authtoken configuration pattern

    This change updates our previous implementation of the keystone
    authtoken setting to use the new designate::keystone::authtoken class to
    do the configuration for the api.

    Change-Id: Ib2a1d20d4e29353fc139835ce1c010a801506b9c
    Closes-Bug: #1604463

zhongshengping (chdzsp) on 2016-08-12
Changed in puppet-vitrage:
assignee: zhongshengping (chdzsp) → nobody

Reviewed: https://review.openstack.org/347417
Committed: https://git.openstack.org/cgit/openstack/puppet-gnocchi/commit/?id=c79055bf22d743e26afabf58ee98f4b86002e5b9
Submitter: Jenkins
Branch: master

commit c79055bf22d743e26afabf58ee98f4b86002e5b9
Author: Matthew J. Black <email address hidden>
Date: Sun Jul 24 09:41:45 2016 -0400

    Keystone authoken resource change

    Create a new class to handle the keystone authtoken configuration
    utilizing the keystone::resource::authtoken resource.

    Some deprecations:
     - gnocchi::api::keystone_user is deprecated in favor of
       gnocchi::keystone::authtoken::username.
     - gnocchi::api::keystone_password is deprecated in favor of
       gnocchi::keystone::authtoken::password.
     - gnocchi::api::keystone_tenant is deprecated in favor of
       gnocchi::keystone::authtoken::project_name
     - gnocchi::api::keystone_identity_uri is deprecated in favor of
       gnocchi::keystone::authtoken::auth_url.
     - gnocchi::api::keystone_auth_uri is deprecated in favor of
       gnocchi::keystone::authtoken::auth_uri

    Change-Id: I7be1c8f471472e74642e25508c6871d0f948d75b
    Related-Bug: #1604463

Changed in puppet-vitrage:
status: New → Fix Released
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)

We do not use authtoken in swift, maybe we should talk to Vinish?

Changed in puppet-heat:
assignee: Matthew J Black (mjblack) → Iury Gregory Melo Ferreira (iurygregory)
status: New → In Progress
Changed in puppet-gnocchi:
status: New → Fix Released

Reviewed: https://review.openstack.org/351792
Committed: https://git.openstack.org/cgit/openstack/puppet-manila/commit/?id=a33e4337be164829faac15932ab082b99028e1ed
Submitter: Jenkins
Branch: master

commit a33e4337be164829faac15932ab082b99028e1ed
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Fri Aug 5 12:11:13 2016 -0300

    Add authtoken class

    Add authtoken class like we do in all other modules, to configure
    [keystone_authtoken] section.

    deprecations:
    - manila::api::keystone_user is deprecated in favor of
    manila::keystone::authtoken::username
    - manila::api::keystone_tenant is deprecated in favor of
    manila::keystone::authtoken::project_name
    - manila::api::keystone_password is deprecated in favor of
    manila::keystone::authtoken::password
    - manila::api::keystone_auth_uri is deprecated in favor of
    manila::keystone::authtoken::auth_uri
    - manila::api::keystone_auth_admin_prefix is deprecated and will be removed
    in a future release
    - manila::api::keystone_auth_host is deprecated and will be removed
    in a future release
    - manila::api::keystone_auth_port is deprecated and will be removed
    in a future release

    Change-Id: I3b124eb1d8c5d4e21811d0ec11c2e92f4088a90c
    Closes-Bug: #1604463

Changed in puppet-manila:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/347105
Committed: https://git.openstack.org/cgit/openstack/puppet-barbican/commit/?id=0df44cb07c86b0cff43ec0fd4638fa3ca6e271dc
Submitter: Jenkins
Branch: master

commit 0df44cb07c86b0cff43ec0fd4638fa3ca6e271dc
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Tue Jul 26 00:20:53 2016 -0300

    Move barbican to authtoken

    Create a new class to handle all configuration for
    keystone_authtoken section in configuration file using
    keystone::resource::authtoken

    This patch is not backward compatible:
    - we have change auth_type in api.pp to auth_strategy,
    because auth_type is related to keystone authentication.
    - removed all parameters related to keystone_authtoken
    from api.pp and moved to authtoken.pp

    Change-Id: I2dee8a3d1c399234941f96d8f21f49526777f501
    Depends-On: I94914ed5a8b5c1447606547b31ed46bb72b4de01
    Related-Bug: #1604463

Changed in puppet-barbican:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/345744
Committed: https://git.openstack.org/cgit/openstack/puppet-aodh/commit/?id=75161dd0ca2fba54cc4d734d5c3ca3e97ccfeff5
Submitter: Jenkins
Branch: master

commit 75161dd0ca2fba54cc4d734d5c3ca3e97ccfeff5
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Fri Jul 22 00:02:54 2016 -0300

    Move aodh to authtoken

    In aodh::api, use keystone::resource::authtoken to configure
    keystone_authtoken section in aodh.conf, with all parameters
    required to configure keystonemiddleware.
    This patch will allow to deploy aodh to use Keystone v3 authentification.

    Some deprecations:
    - aodh::api::keystone_tenant is deprecated in favor of
      aodh::keystone::authtoken::project_name.
    - aodh::api::keystone_user is deprecated in favor of
      aodh::keystone::authtoken::username.
    - aodh::api::keystone_password is deprecated in favor of
      aodh::keystone::authtoken::password.
    - aodh::api::keystone_project_domain_name is deprecated in favor of
      aodh::keystone::authtoken::project_domain_name
    - aodh::api::keystone_user_domain_name is deprecated in favor of
      aodh::keystone::authtoken::user_domain_name
    - aodh::api::keystone_auth_type is deprecated in favor of
      aodh::keystone::authtoken::auth_type
    - aodh::api::keystone_auth_uri is deprecated in favor of
      aodh::keystone::authtoken::auth_uri
    - aodh::api::keystone_identity_uri is deprecated in favor of
      aodh::keystone::authtoken::auth_url
    - aodh::api::keystone_auth_url is deprecated in favor of
      aodh::keystone::authtoken::auth_url
    - aodh::api::memcached_servers is deprecated in favor of
      aodh::keystone::authtoken::memcached_servers

    Change-Id: Id8b3d8265f3554865fd77b291f235219b147efb9
    Related-Bug: #1604463

Reviewed: https://review.openstack.org/346028
Committed: https://git.openstack.org/cgit/openstack/puppet-ironic/commit/?id=eef5b11679e1c0e96a782f51f5e0c8aa6abfb3bd
Submitter: Jenkins
Branch: master

commit eef5b11679e1c0e96a782f51f5e0c8aa6abfb3bd
Author: iberezovskiy <email address hidden>
Date: Fri Jul 22 16:08:07 2016 +0300

    Configure keystone authtoken options

    Add ironic api and inspector authtoken classes to
    configure keystone authtoken related parameters.
    Unit tests are updated accordingly.

    Deprecate some parameters in api and inspectore classes:
      - ironic::api|inspector::admin_tenant_name is deprecated
        in favor of ironic::api|inspector::authtoken::project_name.
      - ironic::api|inspector::admin_user is deprecated
        in favor of ironic::api|inspector::authtoken::username.
      - ironic::api|inspector::admin_password is deprecated
        in favor of ironic::api|inspector::authtoken::password.
      - ironic::api|inspector::identity_uri is deprecated
        in favor of ironic::api|inspector::authtoken::auth_uri.
      - ironic::api|inspector::auth_uri is deprecated
        in favor of ironic::api|inspector::authtoken::auth_uri.
      - ironic::api::memcached_servers is deprecated
        in favor of ironic::api::authtoken::memcached_servers.

    Closes-bug: #1604463

    Change-Id: Idcb9557ab0b42b2a0dba7cf2ab6a5ccf52dd1d23

Changed in puppet-ironic:
status: In Progress → Fix Released
Changed in puppet-mistral:
importance: Undecided → Medium
Changed in puppet-ec2api:
importance: Undecided → Medium
Changed in puppet-magnum:
importance: Undecided → Medium
Changed in puppet-vitrage:
importance: Undecided → Medium
Changed in puppet-aodh:
status: In Progress → Fix Released
Changed in puppet-trove:
assignee: Alexey Deryugin (velovec) → Iury Gregory Melo Ferreira (iurygregory)
Changed in puppet-magnum:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
status: New → In Progress

Reviewed: https://review.openstack.org/337389
Committed: https://git.openstack.org/cgit/openstack/puppet-nova/commit/?id=94a6343b57d9f6ddc4f580a781449857983e9441
Submitter: Jenkins
Branch: master

commit 94a6343b57d9f6ddc4f580a781449857983e9441
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Mon Jul 4 21:47:31 2016 -0300

    Move nova to authtoken

    In nova::keystone::authtoken, use keystone::resource::authtoken to configure
    keystone_authtoken section in nova.conf, with all parameters
    required to configure keystonemiddleware.
    This patch will allow to deploy Nova to use Keystone v3 authentification.
    Update acceptance and examples

    Some deprecations:
    - nova::api::admin_tenant_name is deprecated in favor of
      nova::keystone::authtoken::project_name.
    - nova::api::admin_user is deprecated in favor of
      nova::keystone::authtoken::username.
    - nova::api::admin_password is deprecated in favor of
      nova::keystone::authtoken::password.
    - nova::api::identity_uri is deprecated in favor of
      nova::keystone::authtoken::auth_url.
    - nova::api::auth_version is deprecated in favor of
      nova::keystone::authtoken::auth_version
    - nova::api::auth_uri is deprecated in favor of
      nova::keystone::authtoken::auth_uri
    - nova::memcached_servers is deprecated in favor of
      nova::keystone::authtoken::memcached_servers.

    The patch is backward compatible and keep defaults values like before.

    Depends-On: I299d4c372da702232eaa7cb34b690e372f56e701
    Change-Id: I32649549879f912a0f49881c244b119497cf8473
    Related-Bug: #1604463

Reviewed: https://review.openstack.org/345789
Committed: https://git.openstack.org/cgit/openstack/puppet-ceilometer/commit/?id=8742b6fad902837b2be3c9eb16c861e195b8257a
Submitter: Jenkins
Branch: master

commit 8742b6fad902837b2be3c9eb16c861e195b8257a
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Fri Jul 22 01:21:49 2016 -0300

    Move ceilometer to authtoken

    In ceilometer::api, use keystone::resource::authtoken to configure
    keystone_authsection in the configuration file.

    Some deprecations:
    - ceilometer::api::identity_uri is deprecated in favor of
    ceilometer::api::auth_url
    - ceilometer::api::keystone_tenant is deprecated in favor of
    ceilometer::api::project_name.
    - ceilometer::api::keystone_user is deprecated in favor of
    ceilometer::api::username.
    - ceilometer::api::keystone_password is deprecated in favor of
    ceilometer::api::password.

    -Remove deprecated parameters

    Change-Id: Iebfb4caf7d4675e17b866142292d421dcf62f63b
    Related-Bug: #1604463

mistral still use old options and not new ones (username, etc) https://github.com/openstack/mistral/blob/c2424d6ccedc6d8a4448d78612a82521472443e1/mistral/utils/openstack/keystone.py
I think is the same case for sahara

Changed in puppet-ceilometer:
status: In Progress → Fix Released
Changed in puppet-mistral:
status: New → Invalid
Changed in puppet-nova:
status: In Progress → Fix Released
Changed in puppet-swift:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
status: New → In Progress
Changed in puppet-swift:
status: In Progress → Fix Committed

Change abandoned by Iury Gregory Melo Ferreira (<email address hidden>) on branch: master
Review: https://review.openstack.org/360146
Reason: New patch https://review.openstack.org/#/c/351980/

Reviewed: https://review.openstack.org/346685
Committed: https://git.openstack.org/cgit/openstack/puppet-trove/commit/?id=b51e789701f8ee81e34f5b22b87fc6224b18da8b
Submitter: Jenkins
Branch: master

commit b51e789701f8ee81e34f5b22b87fc6224b18da8b
Author: Alexey Deryugin <email address hidden>
Date: Mon Jul 25 13:08:35 2016 +0300

    Configure keystone authtoken options

    In trove::api, use keystone::resource::authtoken to configure
    keystone_authtoken section in trove.conf, with all parameters required
    to configure keystonemiddleware.
    This patch will allow to deploy Trove to use Keystone v3
    authentification.

    Some deprecations:
    - trove::api::keystone_tenant is deprecated in favor of trove::keystone::authtoken::project_name.
    - trove::api::keystone_user is deprecated in favor of trove::keystone::authtoken::username.
    - trove::api::keystone_password is deprecated in favor of trove::keystone::authtoken::password.
    - trove::api::identity_uri is deprecated in favor of trove::keystone::authtoken::auth_url.
    - trove::api::auth_uri is deprecated in favor of trove::keystone::authtoken::auth_uri.

    Change-Id: I808ebda1c4ec3a5b2ed294eb8af4eecafa861051
    Closes-Bug: #1604463

Changed in puppet-trove:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/359543
Committed: https://git.openstack.org/cgit/openstack/puppet-heat/commit/?id=85b55571b8789ad7b2e651cd029ba41cbb2b67a0
Submitter: Jenkins
Branch: master

commit 85b55571b8789ad7b2e651cd029ba41cbb2b67a0
Author: Iury Gregory Melo Ferreira <email address hidden>
Date: Tue Aug 23 22:51:13 2016 -0300

    Move Heat to authtoken

    Switch keystone_authtoken parameters for the new class
    heat::keystone::authtoken to configure the keystone_authtoken section
    in heat.conf.

    Some deprecations:
    - heat::auth_uri is deprecated in favor of
      heat::keystone::authtoken::auth_uri.
    - heat::identity_uri is deprecated in favor of
      heat::keystone::authtoken::auth_url.
    - heat::auth_plugin is deprecated in favor of
      heat::keystone::authtoken::auth_type.
    - heat::keystone_user is deprecated in favor of
      heat::keystone::authtoken::username.
    - heat::keystone_tenant is deprecated in favor of
      heat::keystone::authtoken::project_name.
    - heat::keystone_password is deprecated in favor of
      heat::keystone::authtoken::password.
    - heat::keystone_user_domain_name is deprecated in favor of
      heat::keystone::authtoken::user_domain_name.
    - heat::keystone_user_domain_id is deprecated, use the name option.
    - heat::keystone_project_domain_name is deprecated in favor of
      heat::keystone::authtoken::project_domain_name.
    - heat::keystone_project_domain_id is deprecated, use the name option.
    - heat::memcached_servers is deprecated in favor of
      heat::keystone::authtoken::memcached_servers.

    Change-Id: I466558e98176f20743271191df64dc327f0efcc6
    Closes-bug: #1604463

Changed in puppet-heat:
status: In Progress → Fix Released
Changed in puppet-neutron:
assignee: Sergey Kolekonov (skolekonov) → Iury Gregory Melo Ferreira (iurygregory)

Reviewed: https://review.openstack.org/351980
Committed: https://git.openstack.org/cgit/openstack/puppet-magnum/commit/?id=987e53f94d5de2868a3e1b02108a6a8dd72c81b8
Submitter: Jenkins
Branch: master

commit 987e53f94d5de2868a3e1b02108a6a8dd72c81b8
Author: coldmoment <email address hidden>
Date: Sat Aug 6 11:59:03 2016 +0800

    Move magnum to authtoken

    Allow magnum to configure the keystone_authtoken section in
    magnum.conf with all new parameters from Keystone Middleware
    using the keystone::resource::authtoken from puppet-keystone
    This will also add support to authentication using Keystone v3.

    Change-Id: I4a69bd72e6114e287520548587a14ac0e44b1e84
    Closes-Bug: #1604463

Changed in puppet-magnum:
status: In Progress → Fix Released
Changed in puppet-neutron:
assignee: Iury Gregory Melo Ferreira (iurygregory) → Emilien Macchi (emilienm)

Reviewed: https://review.openstack.org/348826
Committed: https://git.openstack.org/cgit/openstack/puppet-glance/commit/?id=1e09e553edf091f53b3bbfe667630adc236cf223
Submitter: Jenkins
Branch: master

commit 1e09e553edf091f53b3bbfe667630adc236cf223
Author: Denis Egorenko <email address hidden>
Date: Fri Jul 29 13:12:29 2016 +0300

    Move Glance to new authtoken scheme

    Use glance::<service>::authtoken to configure keystone_authtoken
    section in glance configs, with all parameters required
    to configure keystonemiddleware.

    Also changed auth_type to auth_strategy, because auth_type is
    related to keystone authentication.

    Change-Id: I722a1e41b2cee0b3040c37f07adfd13c33edaa5c
    Closes-bug: #1604463

Changed in puppet-glance:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-cinder 9.2.0 release.

This issue was fixed in the openstack/puppet-designate 9.2.0 release.

This issue was fixed in the openstack/puppet-ironic 9.2.0 release.

This issue was fixed in the openstack/puppet-manila 9.2.0 release.

This issue was fixed in the openstack/puppet-trove 9.2.0 release.

This issue was fixed in the openstack/puppet-zaqar 9.2.0 release.

Reviewed: https://review.openstack.org/351272
Committed: https://git.openstack.org/cgit/openstack/puppet-neutron/commit/?id=f8b72c7e36a27b4d0998788a0ca7872c27c0c4db
Submitter: Jenkins
Branch: master

commit f8b72c7e36a27b4d0998788a0ca7872c27c0c4db
Author: Sergey Kolekonov <email address hidden>
Date: Thu Aug 4 19:20:02 2016 +0300

    Configure keystone authtoken options

    In neutron::server, use keystone::resource::authtoken to configure
    keystone_authtoken section in neutron.conf, with all parameters required
    to configure keystonemiddleware

    Change-Id: I036814de364f27ab1c49616d9dd4c00090d88255
    Closes-bug: #1604463

Changed in puppet-neutron:
status: In Progress → Fix Released
Changed in puppet-swift:
status: Fix Committed → Fix Released

Fix proposed to branch: master
Review: https://review.openstack.org/409558

Changed in puppet-mistral:
assignee: nobody → Iury Gregory Melo Ferreira (iurygregory)
status: Invalid → In Progress

Change abandoned by Iury Gregory Melo Ferreira (<email address hidden>) on branch: master
Review: https://review.openstack.org/409558
Reason: in favor of https://review.openstack.org/409476

Changed in puppet-mistral:
assignee: Iury Gregory Melo Ferreira (iurygregory) → Alex Schultz (alex-schultz)

Reviewed: https://review.openstack.org/409476
Committed: https://git.openstack.org/cgit/openstack/puppet-mistral/commit/?id=bf3625d5af5aabd5b2d3679f2ae61d63153cb2a4
Submitter: Jenkins
Branch: master

commit bf3625d5af5aabd5b2d3679f2ae61d63153cb2a4
Author: Alex Schultz <email address hidden>
Date: Sat Dec 10 15:53:15 2016 -0700

    Move Mistral to authtoken

    Switch keystone_authtoken parameters for the new class
    mistral::keystone::authtoken to configure the keystone_authtoken section
    in mistral.conf.

    Some deprecations:
    - mistral::auth_uri is deprecated in favor of
      mistral::keystone::authtoken::auth_uri.
    - mistral::identity_uri is deprecated in favor of
      mistral::keystone::authtoken::auth_url.
    - mistral::keystone_user is deprecated in favor of
      mistral::keystone::authtoken::username.
    - mistral::keystone_tenant is deprecated in favor of
      mistral::keystone::authtoken::project_name.
    - mistral::keystone_password is deprecated in favor of
      mistral::keystone::authtoken::password.

    Change-Id: I71969ef09018f9daa5f81c4f3bcbdb0b0974446c
    Co-Authored-By: Iury Gregory Melo Ferreira <email address hidden>
    Closes-bug: #1604463

Changed in puppet-mistral:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-mistral 10.2.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers